Intereting Posts
Как создать ссылку URL на рабочем столе Unity Почему Ubuntu имеет отключенную учетную запись root? Как заставить LibreOffice создавать заголовки для столбцов, чтобы при прокрутке вниз я видел заголовки вместо столбцов «A, B, C, …»? Можно ли поймать события мыши в wxFrame Как автоматически монтировать папку и изменять права собственности от root в виртуальном боксе Ubuntu 15.04 – Bluetooth – адаптеров не найдено – Dell Precision M4800 Есть ли пакет ppa или debian для Thunderbird 3.3a? Невозможно автоматически запускать контейнеры LXC, созданные с помощью LXD Исходный фиолетовый загрузочный экран – это текст не изображение в 12.10 Как обратиться к файлам, хранящимся на мобильном телефоне (через USB)? Emacs-подобные привязки по всему миру Как создать резервную копию всей моей системы? Можно ли «отключить электронику» датчик отпечатков пальцев на моем ноутбуке? // X41 Thinkpad Ошибка при загрузке «невозможно обновить полномочия ICE» при загрузке Почему 2 Adobe Flash Plugin на USC (Ubuntu Software Center)?

FGLRX (Catalyst 11.6) совместим с ядром 2.6.39?

Я недавно установил ядро ​​2.6.39, а также обновил драйвер AMD до версии 11.6, но похоже, что он не работает. Я надеялся, что с этим новым драйвером AMD поддерживала новое ядро, но это не так.

Когда я загружаюсь с использованием нового ядра, я практически не получаю композицию, и все действительно уродливо.

Как (если возможно) я могу заплатить или что-то сделать?

Здесь есть запись в блоге, в которой говорится, что вам нужно исправить новый драйвер катализатора, чтобы он работал с 2.6.39

Полные инструкции можно найти в этом блоге вместе со ссылками на исходный код, который необходимо использовать для исправления.

EDIT: Поскольку исходный вопрос был для Catalyst 11.5, вопрос был пересмотрен для Catalyst 11.6

Эта запись в форуме дает инструкции о том, как скомпилировать патчи для этой новой версии катализатора. Чтобы закончить ответ, я воспроизвел ответ – обратите внимание – это для 64-битного – если вы используете 32-битный, вам нужно будет изменить записи для «x86_64» для 32-битных эквивалентов. Также вам не нужно будет устанавливать библиотеку ia32-libs:

sudo apt-get install -y build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases sudo apt-get install -y ia32-libs cd ~; mkdir catalyst11.6; cd catalyst11.6 wget http://www2.ati.com/drivers/linux/ati-driver-installer-11-6-x86.x86_64.run wget http://www.mindwerks.net/wp-content/uploads/2011/03/2.6.39_bkl.patch wget http://www.mindwerks.net/wp-content/uploads/2011/03/no_bkl.patch chmod +x ati-driver-installer-11-6-x86.x86_64.run sh ./ati-driver-installer-11-6-x86.x86_64.run --extract ati cd ati; for i in ../*.patch; do patch -p1 < $i; done ./ati-installer.sh 8.861 --buildpkg Ubuntu/natty cd .. rm -rf ati sudo dpkg -i fglrx*.deb sudo reboot